%global gitdate 20130309

Summary: OpenCL ICD Bindings
Name: ocl-icd
Version: 2.0.2
Release: 2%{?dist}
License: BSD
Group: System Environment/Libraries
URL: http://forge.imag.fr/projects/ocl-icd/
Source0: %{name}-%{gitdate}.tar.bz2

BuildRequires: pkgconfig automake autoconf libtool
BuildRequires: ruby opencl-headers

Patch1: 0001-build-add-missing-AM_PROG_AR.patch
Patch2: 0002-build-add-missing-AM_PROG_CC_C_O.patch

%description
OpenCL ICD Bindings

%package devel
Summary: OpenCL ICD Bindings package
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
OpenCL ICD Bindings development package

%prep
%setup -q %{?gitdate:-n %{name}-%{gitdate}}
%patch1 -p1
%patch2 -p1

%build
autoreconf -ivf || exit 1
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# NOTE: We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%doc COPYING
%{_libdir}/libOpenCL.so.1
%{_libdir}/libOpenCL.so.1.0.0

%files devel
%{_includedir}/ocl_icd.h
%{_libdir}/pkgconfig/ocl-icd.pc
%{_libdir}/pkgconfig/OpenCL.pc
%{_libdir}/libOpenCL.so
%dir %{_datadir}/doc/ocl-icd
%dir %{_datadir}/doc/ocl-icd/examples
%{_datadir}/doc/ocl-icd/examples/ocl_icd_bindings.c
%{_datadir}/doc/ocl-icd/examples/ocl_icd_loader.map

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 08 2013 Rob Clark <rclark@redhat.com> 2.0.2-1
- ocl-icd 2.0.2
